@charset "UTF-8";
@font-face { font-family: "LXGW WenKai"; font-style: normal; font-weight: 400; font-display: swap; src: local("LXGW WenKai"), url("https://aliyun.sunocean.life/assets/fonts/wenkai/LXGWWenKai-Regular.woff2") format("woff2"); }
@font-face { font-family: "LXGW WenKai"; font-style: normal; font-weight: 700; font-display: swap; src: local("LXGW WenKai Bold"), url("https://aliyun.sunocean.life/assets/fonts/wenkai/LXGWWenKai-Bold.woff2") format("woff2"); }
@font-face { font-family: "LXGW WenKai"; font-style: normal; font-weight: 300; font-display: swap; src: local("LXGW WenKai Light"), url("https://aliyun.sunocean.life/assets/fonts/wenkai/LXGWWenKai-Light.woff2") format("woff2"); }
.site-header { border-bottom: 1px solid #bbb; position: relative; text-transform: uppercase; font-size: 0.95em; }

.site-header, .site-header a { color: #666; }

.site-header a:hover { color: #000; text-decoration: none; }

.site-title { margin-top: 1em; margin-bottom: 1em; float: left; letter-spacing: 1px; }

.site-nav { background: #ffffff; }

.site-nav ul { text-align: right; float: right; letter-spacing: 1px; list-style-type: none; }

.site-nav .menu > li { display: inline-block; margin: 1em 0 0 0.75em; padding: 0; position: relative; vertical-align: middle; }

.site-nav a { display: block; }

.site-nav .sub-menu a { display: block; line-height: 1.2em; padding: 4px 10px; color: #000; }

.site-nav .sub-menu a:hover { color: #b6321c; }

.site-nav .sub-menu { border-color: #bbb; z-index: 2147483647; }

.site-nav .sub-menu li.current-menu-item > a { border-left: none; border-right: none; }

.sub-menu { border: 1px solid #bbb; background: #ffffff; display: none; right: -10px; padding: 4px 0 3px 0; position: absolute; text-align: left; text-transform: none; top: 28px; min-width: 200px; z-index: 999; }

.sub-menu li { border-bottom: 0; display: block; height: auto; margin: 3px 0; padding: 0; text-align: left; }

.site-nav li:hover > .sub-menu { display: block; }

.site-nav h1 { position: absolute; left: -999em; }

.site-nav { float: right; }
.site-nav .menu-icon { display: none; }
.site-nav .page-link { color: #666; }
.site-nav .page-link:not(:first-child) { margin-left: 20px; }
@media screen and (max-width: 32em) { .site-nav { position: absolute; top: 10px; right: 5px; border: 1px solid #bbb; border-radius: 5px; text-align: right; }
  .site-nav .menu-icon { display: block; float: right; width: 1.5em; height: 1.25em; line-height: 0; padding-top: 8px; padding-bottom: 7px; text-align: center; }
  .site-nav .menu-icon > svg { width: 1.25em; height: 1em; vertical-align: middle; }
  .site-nav .menu-icon > svg path { fill: #333; }
  .site-nav .trigger { clear: both; display: none; }
  .site-nav:hover .trigger { display: block; padding-bottom: 5px; }
  .site-nav .page-link { display: block; padding: 5px 10px; } }

.post-header { margin-bottom: 1.5em; }

.post-footer { margin-top: 1.5em; margin-bottom: 1.5em; }

p.reviewtip { color: gray; }

hr.reviewline { border-top: 1px solid #ddd; }

@media screen and (max-width: 32em) { .site-nav h1 { border-bottom: 1px solid #bbb; cursor: pointer; display: none; /* Standard. IE8+, Saf, FF3+ */ height: 23px; left: auto; margin-top: 10px; position: static; white-space: nowrap; }
  .site-nav .menu { display: block; left: -3px; min-width: 215px; padding: 4px 0; position: relative; right: -3px; z-index: 999; }
  .site-nav .menu.open { display: block; }
  .site-nav .menu li { display: block; margin: 0; color: #000; }
  .site-nav ul.menu a { color: #000; }
  .site-nav ul.menu a:hover { color: #b6321c; }
  .site-nav a, .site-nav li.current-menu-item > a { padding: 4px 10px; }
  .site-nav .menu > li { height: auto; text-align: left; }
  .site-nav .sub-menu { border: 0; display: block; position: relative; min-width: 215px; max-width: 215px; top: auto; right: auto; width: auto; }
  .site-nav .sub-menu { padding-left: 16px; } }
body, h1, h2, h3, h4, h5, h6, p, blockquote, pre, hr, dl, dd, ol, ul, figure { margin: 0; padding: 0; }

html { overflow-y: scroll; }

body { font-family: LXGW WenKai, Verdana, Geneva, Arial, Helvetica, sans-serif; font-size: 1em; line-height: 1.5; color: #000; background-color: #ffffff; margin: 0 0.75em; -webkit-text-size-adjust: 100%; word-break: break-word; -webkit-font-smoothing: antialiased; -moz-osx-font-smoothing: grayscale; }
body h1, body h2, body h3 { font-family: LXGW WenKai, "comic sans ms", Verdana, Geneva, Arial, Helvetica, sans-serif; }

h1, h2, h3, h4, h5, h6, p, blockquote, pre, ul, ol, dl, figure, .highlight { margin-bottom: 0.75em; }

hr { display: block; margin: 0.5em auto; border-style: inset; border-top: 1px solid #bbb; border-bottom: none; border-left: none; border-right: none; }

img, canvas { max-width: 100%; margin: auto auto; vertical-align: middle; }

figure > img, figure > canvas { display: block; }

figcaption { font-size: smaller; }

ul, ol { margin-left: 1.5em; }

li > ul, li > ol { margin-bottom: 0; }

h1, h2, h3, h4, h5, h6 { font-weight: bold; }

a { color: #b6321c; text-decoration: none; }
a:hover { color: #ca6c18; text-decoration: none; }

blockquote { background-color: #f2f2f2; border-left: 4px solid #131313; padding-left: 1.0em; padding-right: 0.8em; padding-top: 0.4em; padding-bottom: 0.8em; font-style: italic; }
blockquote > :last-child { margin-bottom: 0; }

pre, code { border: 1px solid #bbb; border-radius: 3px; background-color: #f2f2f2; font-family: Menlo, Monaco, Consolas, "Courier New", monospace, sans-serif; font-size: 0.95em; }

pre.highlight code { background-color: unset; }

code { padding: 1px 5px; }

pre { padding: 8px 12px; overflow-x: auto; }
pre > code { border: 0; padding-right: 0; padding-left: 0; }

.icon > svg { display: inline-block; width: 0.75em; height: 0.75em; vertical-align: middle; }
.icon > svg path { fill: #000; }

.footnotes ol li { list-style-type: decimal; }

.footnotes ol { font-size: small; color: #666; }

ul.listing { list-style-type: none; margin-left: 0; }

ul.listing li.listing-seperator { padding-top: 0.75em; font-size: 1.17em; }

ul.listing li.listing-item time { color: #666; text-transform: uppercase; padding-right: 0.5em; font-family: Menlo, Monaco, Consolas, "Courier New", monospace, sans-serif; }

ul.listing li.listing-item a { color: #b6321c; }

.site-footer { font-size: small; color: #666; border-top: 1px solid #bbb; padding-top: 1.5em; float: none; margin-left: auto; margin-right: auto; margin-top: 0; margin-bottom: 1.5em; text-align: center; }

.site-footer a { color: inherit; text-decoration: underline; }

.site-footer a:hover { color: #ca6c18; text-decoration: underline; }

.page { margin: 0 auto; max-width: -webkit-calc(50em - (1.5em * 2)); max-width: calc(50em - (1.5em * 2)); min-width: -webkit-calc(15em - (1.5em * 2)); min-width: calc(15em - (1.5em * 2)); }
@media screen and (max-width: 50em) { .page { max-width: -webkit-calc(50em - (1.5em)); max-width: calc(50em - (1.5em)); min-width: -webkit-calc(15em - (1.5em * 2)); min-width: calc(15em - (1.5em * 2)); } }

.MathJax, .mjx-chtml { outline: 0; }

.MathJax_Display, .MJXc-display { overflow-x: auto; overflow-y: hidden; }

pre.flowchart, code.flowchart { border: none; background-color: inherit; }

img.domaintag { max-height: 1em; max-width: 3em; vertical-align: middle; }

sub.domaintag_host { vertical-align: baseline; font-size: smaller; color: #297fdf; }

span.domaintag_sep { color: #666; }

img.domaintag.domaintag_bili { max-height: 0.8em; margin-bottom: 0.2em; }

img.domaintag.domaintag_zhihu { max-height: 0.8em; }

img.domaintag.domaintag_github { margin-right: 0.4em; }

img.domaintag.domaintag_wikipedia { max-height: 0.8em; }

img.domaintag.domaintag_keqq { max-height: 1.5em; max-width: 5em; }

img.domaintag.domaintag_scriptol { max-width: 4em; }

img.domaintag.domaintag_khronos { max-height: 1.5em; max-width: 5em; margin-left: -0.1em; margin-right: -0.1em; }

img.domaintag.domaintag_gluon { max-height: 1.5em; max-width: 4em; margin-left: -0.2em; margin-right: -0.2em; }

.site-header:after, .site-footer:after, .post:after { content: ""; display: table; clear: both; }

#blog_content { line-height: 1.5; }
#blog_content pre, #blog_content code { line-height: 1.25; margin-top: 0.1em; overflow-y: hidden; }
#blog_content font.blog_refsnap + ul { line-height: 1.5; }
#blog_content font.blog_refsnap + ul li { padding-left: 0.5em; }

.post del { color: lightgray; }
.post del a { color: #f9ddd8; }
.post del a:hover { color: #fcf0e5; }
.post dl { border: 1px solid #ddd; }
.post dl dt { background: #f5f5f5; color: #333; font-weight: bold; padding: 5px 10px; border-bottom: 1px solid #ddd; }
.post dl dd { padding: 5px 10px; }
.post div.mermaid { overflow-x: auto; overflow-y: hidden; height: auto; }
.post div.mermaid svg { height: auto; }

.post a[href^=http].ahref_withimg:after { content: url(data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAoAAAAKCAYAAACNMs+9AAAAVklEQVR4Xn3PgQkAMQhDUXfqTu7kTtkpd5RA8AInfArtQ2iRXFWT2QedAfttj2FsPIOE1eCOlEuoWWjgzYaB/IkeGOrxXhqB+uA9Bfcm0lAZuh+YIeAD+cAqSz4kCMUAAAAASUVORK5CYII=); margin-left: .2em; position: relative; top: -.1em; }

.post p { margin-top: 0.75em; margin-bottom: 0.375em; overflow-x: auto; overflow-y: hidden; }

.post ul li p { margin-top: 0em; margin-bottom: 0.75em; }

.post h1, h2, h3, h4, h5, h6 { margin-top: 1.05em; margin-bottom: 0.45em; }

.post-list { margin-left: 0; list-style: none; }
.post-list > li { margin-bottom: 1.5em; }

.post-meta { font-size: smaller; color: #666; }

.post-link { display: block; }

.post table { width: 100%; display: table; border-collapse: collapse; margin-top: 0.75em; margin-bottom: 1.5em; margin-left: auto; margin-right: auto; }

.post table th { font-weight: 700; background-color: #f5f5f5; }

.post table td, .post table th { padding: 0.3em; border: 1px solid #ddd; }

.post table tr { background-color: #fff; }

.post table tr:nth-child(2n) { background-color: #f5f5f5; }

.post table.noborder th { font-weight: 700; background-color: #fff; }

.post table.noborder td, .post table.noborder th { padding: 0.3em; border: none; }

.post table.noborder tr { background-color: #fff; }

.post table.noborder tr:nth-child(2n) { background-color: #fff; }

@media screen and (max-width: 32em) { #tocwrap { display: none; } }
.back-to-top { cursor: pointer; }

.back-to-top:hover { color: #b6321c; font-weight: bold; }

#tocdiv.esa-catalog { font-size: 0.95em; position: fixed; top: 1.5em; left: 0.3em; width: auto; height: 100%; z-index: 1000; min-width: 20em; max-width: 20em; }
#tocdiv.esa-catalog ::marker { font-size: smaller; }
#tocdiv.esa-catalog ol, #tocdiv.esa-catalog ul { list-style-type: cjk-ideographic; }
#tocdiv.esa-catalog ol ol, #tocdiv.esa-catalog ol ul, #tocdiv.esa-catalog ul ol, #tocdiv.esa-catalog ul ul { list-style-type: decimal; }
#tocdiv.esa-catalog ol ol ol, #tocdiv.esa-catalog ol ol ul, #tocdiv.esa-catalog ol ul ol, #tocdiv.esa-catalog ol ul ul, #tocdiv.esa-catalog ul ol ol, #tocdiv.esa-catalog ul ol ul, #tocdiv.esa-catalog ul ul ol, #tocdiv.esa-catalog ul ul ul { list-style-type: lower-alpha; }
#tocdiv.esa-catalog ol ol ol ol, #tocdiv.esa-catalog ol ol ol ul, #tocdiv.esa-catalog ol ol ul ol, #tocdiv.esa-catalog ol ol ul ul, #tocdiv.esa-catalog ol ul ol ol, #tocdiv.esa-catalog ol ul ol ul, #tocdiv.esa-catalog ol ul ul ol, #tocdiv.esa-catalog ol ul ul ul, #tocdiv.esa-catalog ul ol ol ol, #tocdiv.esa-catalog ul ol ol ul, #tocdiv.esa-catalog ul ol ul ol, #tocdiv.esa-catalog ul ol ul ul, #tocdiv.esa-catalog ul ul ol ol, #tocdiv.esa-catalog ul ul ol ul, #tocdiv.esa-catalog ul ul ul ol, #tocdiv.esa-catalog ul ul ul ul { list-style-type: lower-roman; }
#tocdiv.esa-catalog ol ol ol ol ol, #tocdiv.esa-catalog ol ol ol ol ul, #tocdiv.esa-catalog ol ol ol ul ol, #tocdiv.esa-catalog ol ol ol ul ul, #tocdiv.esa-catalog ol ol ul ol ol, #tocdiv.esa-catalog ol ol ul ol ul, #tocdiv.esa-catalog ol ol ul ul ol, #tocdiv.esa-catalog ol ol ul ul ul, #tocdiv.esa-catalog ol ul ol ol ol, #tocdiv.esa-catalog ol ul ol ol ul, #tocdiv.esa-catalog ol ul ol ul ol, #tocdiv.esa-catalog ol ul ol ul ul, #tocdiv.esa-catalog ol ul ul ol ol, #tocdiv.esa-catalog ol ul ul ol ul, #tocdiv.esa-catalog ol ul ul ul ol, #tocdiv.esa-catalog ol ul ul ul ul, #tocdiv.esa-catalog ul ol ol ol ol, #tocdiv.esa-catalog ul ol ol ol ul, #tocdiv.esa-catalog ul ol ol ul ol, #tocdiv.esa-catalog ul ol ol ul ul, #tocdiv.esa-catalog ul ol ul ol ol, #tocdiv.esa-catalog ul ol ul ol ul, #tocdiv.esa-catalog ul ol ul ul ol, #tocdiv.esa-catalog ul ol ul ul ul, #tocdiv.esa-catalog ul ul ol ol ol, #tocdiv.esa-catalog ul ul ol ol ul, #tocdiv.esa-catalog ul ul ol ul ol, #tocdiv.esa-catalog ul ul ol ul ul, #tocdiv.esa-catalog ul ul ul ol ol, #tocdiv.esa-catalog ul ul ul ol ul, #tocdiv.esa-catalog ul ul ul ul ol, #tocdiv.esa-catalog ul ul ul ul ul { list-style-type: lower-greek; }

#tocdiv.esa-catalog.toc-listyle-none ol, #tocdiv.esa-catalog.toc-listyle-none ul { list-style-type: none; }
#tocdiv.esa-catalog.toc-listyle-none ol ol, #tocdiv.esa-catalog.toc-listyle-none ol ul, #tocdiv.esa-catalog.toc-listyle-none ul ol, #tocdiv.esa-catalog.toc-listyle-none ul ul { list-style-type: lower-greek; }
#tocdiv.esa-catalog.toc-listyle-none ol ol ol, #tocdiv.esa-catalog.toc-listyle-none ol ol ul, #tocdiv.esa-catalog.toc-listyle-none ol ul ol, #tocdiv.esa-catalog.toc-listyle-none ol ul ul, #tocdiv.esa-catalog.toc-listyle-none ul ol ol, #tocdiv.esa-catalog.toc-listyle-none ul ol ul, #tocdiv.esa-catalog.toc-listyle-none ul ul ol, #tocdiv.esa-catalog.toc-listyle-none ul ul ul { list-style-type: none; }
#tocdiv.esa-catalog.toc-listyle-none ol ol ol ol, #tocdiv.esa-catalog.toc-listyle-none ol ol ol ul, #tocdiv.esa-catalog.toc-listyle-none ol ol ul ol, #tocdiv.esa-catalog.toc-listyle-none ol ol ul ul, #tocdiv.esa-catalog.toc-listyle-none ol ul ol ol, #tocdiv.esa-catalog.toc-listyle-none ol ul ol ul, #tocdiv.esa-catalog.toc-listyle-none ol ul ul ol, #tocdiv.esa-catalog.toc-listyle-none ol ul ul ul, #tocdiv.esa-catalog.toc-listyle-none ul ol ol ol, #tocdiv.esa-catalog.toc-listyle-none ul ol ol ul, #tocdiv.esa-catalog.toc-listyle-none ul ol ul ol, #tocdiv.esa-catalog.toc-listyle-none ul ol ul ul, #tocdiv.esa-catalog.toc-listyle-none ul ul ol ol, #tocdiv.esa-catalog.toc-listyle-none ul ul ol ul, #tocdiv.esa-catalog.toc-listyle-none ul ul ul ol, #tocdiv.esa-catalog.toc-listyle-none ul ul ul ul { list-style-type: none; }
#tocdiv.esa-catalog.toc-listyle-none ol ol ol ol ol, #tocdiv.esa-catalog.toc-listyle-none ol ol ol ol ul, #tocdiv.esa-catalog.toc-listyle-none ol ol ol ul ol, #tocdiv.esa-catalog.toc-listyle-none ol ol ol ul ul, #tocdiv.esa-catalog.toc-listyle-none ol ol ul ol ol, #tocdiv.esa-catalog.toc-listyle-none ol ol ul ol ul, #tocdiv.esa-catalog.toc-listyle-none ol ol ul ul ol, #tocdiv.esa-catalog.toc-listyle-none ol ol ul ul ul, #tocdiv.esa-catalog.toc-listyle-none ol ul ol ol ol, #tocdiv.esa-catalog.toc-listyle-none ol ul ol ol ul, #tocdiv.esa-catalog.toc-listyle-none ol ul ol ul ol, #tocdiv.esa-catalog.toc-listyle-none ol ul ol ul ul, #tocdiv.esa-catalog.toc-listyle-none ol ul ul ol ol, #tocdiv.esa-catalog.toc-listyle-none ol ul ul ol ul, #tocdiv.esa-catalog.toc-listyle-none ol ul ul ul ol, #tocdiv.esa-catalog.toc-listyle-none ol ul ul ul ul, #tocdiv.esa-catalog.toc-listyle-none ul ol ol ol ol, #tocdiv.esa-catalog.toc-listyle-none ul ol ol ol ul, #tocdiv.esa-catalog.toc-listyle-none ul ol ol ul ol, #tocdiv.esa-catalog.toc-listyle-none ul ol ol ul ul, #tocdiv.esa-catalog.toc-listyle-none ul ol ul ol ol, #tocdiv.esa-catalog.toc-listyle-none ul ol ul ol ul, #tocdiv.esa-catalog.toc-listyle-none ul ol ul ul ol, #tocdiv.esa-catalog.toc-listyle-none ul ol ul ul ul, #tocdiv.esa-catalog.toc-listyle-none ul ul ol ol ol, #tocdiv.esa-catalog.toc-listyle-none ul ul ol ol ul, #tocdiv.esa-catalog.toc-listyle-none ul ul ol ul ol, #tocdiv.esa-catalog.toc-listyle-none ul ul ol ul ul, #tocdiv.esa-catalog.toc-listyle-none ul ul ul ol ol, #tocdiv.esa-catalog.toc-listyle-none ul ul ul ol ul, #tocdiv.esa-catalog.toc-listyle-none ul ul ul ul ol, #tocdiv.esa-catalog.toc-listyle-none ul ul ul ul ul { list-style-type: none; }

#tocdiv.esa-catalog > ol { height: 90%; overflow-y: auto; overflow-x: hidden; margin-left: 0em; }

#tocdiv.esa-catalog > ol > li { margin-left: 1.875em; }

#tocdiv.esa-catalog > ol > li:nth-child(1n+11) { margin-left: 2.625em; }

#tocdiv.esa-catalog > ol > li:nth-child(1n+11) > ol { margin-left: 0.75em; }

#tocdiv.esa-catalog.toc-listyle-none > ol > li:nth-child(1n+11) { margin-left: 0em; }

#tocdiv.esa-catalog > ol > li:nth-child(1n+21) { margin-left: 3.375em; }

#tocdiv.esa-catalog.toc-listyle-none > ol > li:nth-child(1n+21) { margin-left: 0em; }

#tocdiv.esa-catalog li.active > a { font-weight: bold; }

.post .counter-reset.h2counter { counter-reset: h2counter; }
.post .counter-reset.h2counter:before { counter-reset: h3counter; }
.post .counter-reset.h2counter:after { counter-reset: h4counter; }
.post .counter-reset.h3counter { counter-reset: h3counter; }
.post .counter-reset.h3counter:before { counter-reset: h4counter; }
.post .counter-reset.h4counter { counter-reset: h4counter; }

.post h1 { counter-reset: h2counter; }

.post h1:before { counter-reset: h3counter; }

.post h1:after { counter-reset: h4counter; }

.post h2 { counter-increment: h2counter; counter-reset: h3counter; }

.post h2:before { counter-reset: h4counter; content: counter(h2counter,cjk-ideographic) "、"; }

.post.toc-listyle-none h2:before { counter-reset: h4counter; content: ''; color: #aaa; font-style: italic; font-size: 150%; }

.post h3 { counter-increment: h3counter; counter-reset: h4counter; }

.post h3:before { content: counter(h2counter) "." counter(h3counter) " "; }

.post.toc-no-h2 h3:before { content: counter(h3counter,cjk-ideographic) "、"; }

.post h4 { counter-increment: h4counter; }

.post h4:before { content: counter(h4counter,lower-alpha) "." " "; }

.block_section { margin-top: 1.5em; margin-bottom: 1.5em; }

.block_section ul li { font-size: small; }

.post span.imagetitle { font-size: larger; font-weight: bolder; }

font.ref_snapshot { display: none; }

font.blog_cluster, font.blog_refsnap { background: #f5f5f5; padding: 5px 10px; display: block; text-align: center; border: 1px solid #ddd; }

font.blog_cluster + div, font.blog_refsnap + div { background: #fafafa; border: 1px solid #ddd; border-top-width: 0px; padding: 5px 10px; line-break: anywhere; word-break: break-all; }
font.blog_cluster + div ul, font.blog_refsnap + div ul { margin-top: 0.75em; margin-bottom: 0.75em; }

.highlight { background: #fff; }
.highlight .c { color: #998; font-style: italic; }
.highlight .err { color: #a61717; }
.highlight .k { font-weight: bold; }
.highlight .o { font-weight: bold; }
.highlight .cm { color: #998; font-style: italic; }
.highlight .cp { color: #999; font-weight: bold; }
.highlight .c1 { color: #998; font-style: italic; }
.highlight .cs { color: #999; font-weight: bold; font-style: italic; }
.highlight .gd { color: #000; background-color: #fdd; }
.highlight .gd .x { color: #000; background-color: #faa; }
.highlight .ge { font-style: italic; }
.highlight .gr { color: #a00; }
.highlight .gh { color: #999; }
.highlight .gi { color: #000; background-color: #dfd; }
.highlight .gi .x { color: #000; background-color: #afa; }
.highlight .go { color: #888; }
.highlight .gp { color: #555; }
.highlight .gs { font-weight: bold; }
.highlight .gu { color: #aaa; }
.highlight .gt { color: #a00; }
.highlight .kc { font-weight: bold; }
.highlight .kd { font-weight: bold; }
.highlight .kp { font-weight: bold; }
.highlight .kr { font-weight: bold; }
.highlight .kt { color: #458; font-weight: bold; }
.highlight .m { color: #099; }
.highlight .s { color: #d14; }
.highlight .na { color: #008080; }
.highlight .nb { color: #0086B3; }
.highlight .nc { color: #458; font-weight: bold; }
.highlight .no { color: #008080; }
.highlight .ni { color: #800080; }
.highlight .ne { color: #900; font-weight: bold; }
.highlight .nf { color: #900; font-weight: bold; }
.highlight .nn { color: #555; }
.highlight .nt { color: #000080; }
.highlight .nv { color: #008080; }
.highlight .ow { font-weight: bold; }
.highlight .w { color: #bbb; }
.highlight .mf { color: #099; }
.highlight .mh { color: #099; }
.highlight .mi { color: #099; }
.highlight .mo { color: #099; }
.highlight .sb { color: #d14; }
.highlight .sc { color: #d14; }
.highlight .sd { color: #d14; }
.highlight .s2 { color: #d14; }
.highlight .se { color: #d14; }
.highlight .sh { color: #d14; }
.highlight .si { color: #d14; }
.highlight .sx { color: #d14; }
.highlight .sr { color: #009926; }
.highlight .s1 { color: #d14; }
.highlight .ss { color: #990073; }
.highlight .bp { color: #999; }
.highlight .vc { color: #008080; }
.highlight .vg { color: #008080; }
.highlight .vi { color: #008080; }
.highlight .il { color: #099; }

.captioned-img { text-align: center; border: none; font-size: smaller; padding-bottom: 0.75em; }

.captioned-img.noshadow img { box-shadow: none; }

.captioned-img img { margin: 0.75em auto 0.75em auto; border-radius: 3px; box-shadow: 0 1px 0.75em rgba(27, 31, 35, 0.15), 0 0 1px rgba(106, 115, 125, 0.35); border: none; }

.aligncenter { display: block; margin-left: auto; margin-right: auto; }

.alignleft { float: left; margin-top: 0; margin-right: 1em; margin-bottom: 0.75em; }

.alignright { float: right; margin-top: 0; margin-left: 1em; margin-bottom: 0.75em; }

@media screen and (max-width: 32em) { .alignleft, .alignright { display: block; margin-left: auto; margin-right: auto; float: none; } }
